<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.online.*" %>
<%@ page import="com.jspsmart.upload.SmartUpload" %>
<%@ page import="com.jspsmart.upload.Request" %>
<%@ include file="/sessionInfoWeixin.jsp"%>
<%
		request.setCharacterEncoding("UTF-8");
    SmartUpload smartUpload = new SmartUpload();    
    smartUpload.initialize(pageContext);    
    smartUpload.upload();    
    Request requestSu = smartUpload.getRequest(); 

    //获取提交的参数
    String sType = SzConvert.toZeroStr(requestSu.getParameter("type"));
    String sPage = SzConvert.toZeroStr(requestSu.getParameter("page"));
    String sSearch = SzConvert.strWriteData(requestSu.getParameter("txtSearch"));
    String sPKEY = SzConvert.toZeroStr(requestSu.getParameter("PKEY"));
    
    String sFromUrl = SzConvert.toSpaceStr(requestSu.getParameter("from"));
    if (sFromUrl.equals("")) {
  	  sFromUrl = "index.jsp";
    }    
%>
<form name="formHidden" method="post">
  <input type="hidden" name="page" value="<%=sPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <input type="hidden" name="PKEY" value="<%=sPKEY%>">
  <input type="hidden" name="type" value="<%=sType%>"> 
  <input type="hidden" name="from" value="<%=sFromUrl%>">  
</form>
<%
    String sOPERATOR = SzConvert.toSpaceStr(requestSu.getParameter("OPERATOR"));

    OlMessageControl olMessageControl = new OlMessageControl();
	
    boolean flag = false;
    String sMessage = "";

    flag = olMessageControl.control(smartUpload, session);
    
    sMessage = SzOut.getMessage();
    //2012-06-13
    smartUpload.closeAll();
    
    if (flag) {
    	out.println(SzPageHelp.jsFormSubmit("formHidden",sFromUrl));
    } else {
      out.println(SzPageHelp.jsAlertBack(sMessage));
    }
%>
